/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\pets\MechHorse.cs
Lines of code: 73
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a mechanical project" )]
	public class MechHorse : BaseMount
	{
		[Constructable] 
		public MechHorse() : this( "a mechanical horse" )
		{
		}

		[Constructable]
		public MechHorse( string name ) : base( name, 284, 0x3EBB, AIType.AI_Animal, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
			ItemID = 16018;
			Hue = 2307;
			SetStr( 1 );
			SetDex( 1 );
			SetInt( 1 );

			SetHits( 1 );

			SetDamage( 1, 1 );

			SetDamageType( ResistanceType.Physical, 60 );
			SetDamageType( ResistanceType.Energy, 40 );

			SetResistance( ResistanceType.Physical, 100 );
			SetResistance( ResistanceType.Fire, 100 );
			SetResistance( ResistanceType.Cold, 100 );
			SetResistance( ResistanceType.Energy, 100 );
			SetResistance( ResistanceType.Poison, 100 );

			SetSkill( SkillName.MagicResist, 100.0, 150.0 );
			SetSkill( SkillName.Tactics, 70.5, 100.0 );
			SetSkill( SkillName.Wrestling, 90.1, 110.0 );

			Fame = 22500;
			Karma = 0;
		}

		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override bool HasBreath{ get{ return true; } } // fire breath enabled
		public override int BreathFireDamage{ get{ return 50; } }
		public override int BreathEnergyDamage{ get{ return 50; } }
		public override int BreathEffectHue{ get{ return 1159; } }
		public override bool BardImmune{ get{ return !Core.SE; } }
		public override bool Unprovokable{ get{ return Core.SE; } }
		public override bool Uncalmable{ get{ return Core.SE; } }

		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 3 ) )
			{
				default:
				case 0: return WeaponAbility.DoubleStrike;
				case 1: return WeaponAbility.CrushingBlow;
				case 2: return WeaponAbility.BleedAttack;
			}
		}

		public MechHorse( Serial serial ) : base( serial )
		{
		}

		public override void AddNameProperties( ObjectPropertyList list )
		{
			base.AddNameProperties( list );

			list.Add("Event Prize");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}


		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}